<?php require_once 'app/init.php'; ?>
<!DOCTYPE html>
<html lang="en">
<head>
	<title>EasyLogin Pro</title>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="csrf-token" content="<?php echo csrf_token() ?>">
	<link href="<?php echo asset_url('css/vendor/bootstrap.min.css') ?>" rel="stylesheet">
	<link href="<?php echo asset_url('css/bootstrap-custom.css') ?>" rel="stylesheet">
	<link href="<?php echo asset_url('css/main.css') ?>" rel="stylesheet">
	<style>
		.container {
			background: #fff;
			-webkit-box-shadow: 0 1px 3px rgba(0,0,0,.13);
			box-shadow: 0 1px 3px rgba(0,0,0,.13);
			max-width: 500px;
			margin: 30px auto 20px;
			padding: 20px;
			text-align: center;
		}
	</style>

	<script src="<?php echo asset_url('js/vendor/jquery-1.11.1.min.js') ?>"></script>
	<script src="<?php echo asset_url('js/vendor/bootstrap.min.js') ?>"></script>
	<script src="<?php echo asset_url('js/easylogin.js') ?>"></script>
	<script src="<?php echo asset_url('js/main.js') ?>"></script>
	<script>
		EasyLogin.options = {
			ajaxUrl: '<?php echo App::url("ajax.php") ?>',
			lang: <?php echo json_encode(trans('main.js')) ?>,
			debug: <?php echo Config::get('app.debug')?1:0; ?>,
		};
	</script>
</head>
<body>
	<div class="container">
		<?php if (Auth::guest()): ?>
			<a href="#" data-toggle="modal" data-target="#loginModal">Log in</a> | 
			<a href="#" data-toggle="modal" data-target="#signupModal">Sign up</a>
		<?php else: ?>
			<p>Howdy, <a href="profile.php?u=<?php echo Auth::user()->id ?>"><?php echo Auth::user()->display_name; ?></a></p>
			<p><img src="<?php echo Auth::user()->avatar ?>" width="50" style="border-radius:2px"></p>
			<br>
			<p>
				<a href="#" data-toggle="modal" data-target="#settingsModal">Settings</a> |
				<a href="javascript:EasyLogin.openPMS()">Messages</a> <span class="label label-danger pm-notification"></span> |
				<?php if (Auth::userCan('dashboard')): ?><a href="admin.php">Admin</a> |<?php endif ?>
	  			<a href="javascript:EasyLogin.logout()">Log out</a>
			</p>
		<?php endif ?>
	</div>

	<?php echo View::make('modals.load') ?>
</body>
</html>